Bug 44803 - iOS: Device orientation change incorrectly resizes NavigationPage
Summary: iOS: Device orientation change incorrectly resizes NavigationPage
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 2.3.2
Hardware: PC Windows
: --- enhancement
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-27 23:33 UTC by adrianknight89
Modified: 2016-12-08 00:29 UTC (History)
5 users (show)

Tags: iOS ac
Is this bug a regression?: ---
Last known good build:


Attachments
repro (203.99 KB, application/zip)
2016-09-27 23:33 UTC, adrianknight89
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description adrianknight89 2016-09-27 23:33:22 UTC
Created attachment 17771 [details]
repro

See repro.

If you change device orientation on Android, all looks fine. If you do this on iOS, the status bar disappears and the navigation bar is smaller.

While looking at this, please also look at https://bugzilla.xamarin.com/show_bug.cgi?id=42651

Tested this on 2.3.3.152-pre2.
Comment 1 E.Z. Hart [MSFT] 2016-10-10 14:50:50 UTC
The behavior you're describing is the iOS default for iOS 8 or later in vertically compact environments: 

https://developer.apple.com/reference/uikit/uiviewcontroller/1621440-prefersstatusbarhidden

This may be a good candidate for Platform Specifics; I'm marking it as an enhancement.
Comment 2 Paul DiPietro [MSFT] 2016-10-13 05:54:13 UTC
I'm presently in the midst of implementing this along with options for the update animation.
Comment 3 Samantha Houts [MSFT] 2016-12-08 00:29:24 UTC
Should be fixed in 2.3.4-pre1. Please note that this is an opt-in behavior. Please see https://github.com/xamarin/Xamarin.Forms/pull/463 for more information. Thank you!